List Portfolio Allocations
curl --request GET \
--url https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/allocationsimport requests
url = "https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/allocations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/allocations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allocations": [
{
"root_id": "<string>",
"reversal_id": "<string>",
"allocation_completed_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"product_id": "<string>",
"side": "BUY",
"avg_price": "<string>",
"base_quantity": "<string>",
"quote_value": "<string>",
"fees_allocated": "<string>",
"status": "ALLOCATION_STATUS_ALLOCATION_PENDING",
"source": "<string>",
"order_ids": [
"<string>"
],
"destinations": [
{
"leg_id": "<string>",
"portfolio_id": "<string>",
"allocation_base": "<string>",
"allocation_quote": "<string>",
"fees_allocated_leg": "<string>"
}
],
"netting_id": "<string>"
}
],
"pagination": {
"next_cursor": "<string>",
"sort_direction": "DESC",
"has_next": true
}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"subcode": "PORTFOLIO_ID_REQUIRED",
"trace_id": "<string>"
}{
"code": "PERMISSION_DENIED",
"message": "<string>",
"subcode": "AUTH_RESOURCE_ACCESS_DENIED",
"trace_id": "<string>"
}{
"code": "RESOURCE_NOT_FOUND",
"message": "<string>",
"subcode": "AUTH_RESOURCE_NOT_FOUND",
"trace_id": "<string>"
}{
"code": "RATE_LIMIT_EXCEEDED",
"message": "<string>",
"subcode": "SERVER_RATE_LIMIT_EXCEEDED",
"trace_id": "<string>"
}{
"code": "SERVICE_UNAVAILABLE",
"message": "<string>",
"subcode": "SERVER_MAINTENANCE_MODE_ACTIVE",
"trace_id": "<string>"
}Get Portfolio Allocations
List historical allocations for a given portfolio.
GET
/
v1
/
portfolios
/
{portfolio_id}
/
allocations
List Portfolio Allocations
Path Parameters
Portfolio to retrieve allocations for.
Query Parameters
List of products by which to filter the response.
An order side to filter allocations on.
- UNKNOWN_ORDER_SIDE: nil value
- BUY: Buy order
- SELL: Sell order
Available options:
BUY, SELL A start date for the allocations to be queried from.
An end date for the orders to be queried from.
Id to retrieve additional results strictly after
Number of items to retrieve
Sorting order: DESC or ASC
Available options:
DESC, ASC Was this page helpful?